<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {implode} function plugin
 *
 * Type:     function<br>
 * Name:     implode<br>
 * Purpose:  join array elements with a string like PHP implode function
 *
 * @author Igor Shatokhin
 * @link http://www.seostart.com
 *       (Author web site)
 * @param array parameters
 * @param Smarty
 * @return string
 */
function smarty_function_implode($params, &$smarty)
{
    // vars
    $separator = isset($params['separator']) ? $params['separator'] : "&nbsp;";
    $array = isset($params['array']) ? $params['array'] : false;

    if( !is_array($array) )
    {
        $smarty->trigger_error("implode: array parameter invalid", E_USER_NOTICE);
        return false;
    }

    return implode($separator, $array);

}

/* vim: set expandtab: */

?>
